/* =====================
   LIGHT MODE (DEFAULT)
   ===================== */
:root {
    --bg-auth: #ffffff;
    /*--bg-body: #f8f9fc;*/
    --bg-img: rgba(255,255,255,0.9);
    --bg-body: #e5edf3;
    --bg-button: #0e4d92;
    --bg-cardx: #0e4d92;
    --bg-card: rgba(255,255,255,0.9);
    --bg-cards: rgba(255,255,255,0.9);
    --bg-sidebar: rgba(255, 255, 255, 0.3);
    /*--bg-sidebar: rgba(14, 77, 146, 0.9);*/
    --text-h5: #0e4d92;
    --text-btn: #ffffff;
    --text-mains: #0e4d92;
    --text-main: #0e4d92;
    --text-muted: #555;
    --text-muteds: #ffffff;
    --border-color: #d1d3e2;
    --primary: #4e73df;
    --text-inverse: #ffffff;
    --text-border: rgba(0,0,0,0.5);
    --text-sidebar: #0e4d92;
    --text-table: rgba(0,0,0,0.6);
    --text-td: rgba(0,0,0,0.9);
    --text-th: rgba(0,0,0,0.5);
    --text-header: rgba(0,0,0,0.6);
    
    --border-card: #0e4d92;
    --border-dashboard: #c0c0c0;
    --border-soft: rgba(0,0,0,0.1);
    --border-strong: rgba(255,255,255,0.9);
    
    --table-bg: #ffffff;
    --table-text: #212529;
    --table-border: #dee2e6;
    
    --input-bg: #ffffff;
    --input-text: #212529;
    --input-border: #ced4da;
    --input-placeholder: #6c757d;
    
    --date-icon-filter: invert(1);
    /*--date-icon-filter: invert(1) sepia(1) saturate(5) hue-rotate(190deg);*/
    
}

/* =====================
   DARK MODE
   ===================== */
body.dark-mode {
    --bg-auth: #0f172a;
    --bg-body: #0f172a;
    --bg-button: #0e4d92;
    --bg-card: #1e293b;
    --bg-cards: #007bff;
    /*--bg-sidebar: rgba(14, 77, 146, 0.9);*/
    /*--bg-sidebar: #020617;*/
    --bg-img: rgba(255,255,255,0.5);
    --bg-sidebar: #1e293b;
    --text-mains: #007bff;
    --text-btn:  #1e293b;
    --text-h5: rgba(255,255,255,0.5);
    --text-main: #9ca3af;
    --text-muted: #9ca3af;
    --text-muteds: #007bff;
    --border-color: #334155;
    --primary: #60a5fa;
    --text-inverse: #020617;
    --text-border: rgba(255,255,255,0.7);
    --text-sidebar: rgba(255,255,255,0.7);
    --text-table: rgba(255,255,255,0.6);
    --text-td: rgba(255,255,255,0.9);
    --text-th: rgba(255,255,255,0.5);
    --text-header: rgba(255,255,255,0.6);
    
    --border-card: rgba(255,255,255,0.7);
    --border-dashboard: #5a5a5a;
    --border-soft: rgba(255,255,255,0.15);
    --border-strong: rgba(255,255,255,0.25);
    
    --table-bg: transparent;
    --table-text: #e5e7eb;
    --table-border: rgba(255, 255, 255, 0.15);
    
    --input-bg: rgba(255, 255, 255, 0.05);
    --input-text: #e5e7eb;
    --input-border: rgba(255, 255, 255, 0.2);
    --input-placeholder: rgba(255, 255, 255, 0.4);
    
    --date-icon-filter: invert(0);
    /*--date-icon-filter: invert(0) sepia(0) saturate(0) hue-rotate(190deg);*/
    
}

/* =====================
   GLOBAL USAGE
   ===================== */
body {
    background: var(--bg-body);
    color: var(--text-main);
    transition: background 0.3s, color 0.3s;
}

/*.glass-card,*/
/*.card,*/
/*.login-card {*/
/*    background: var(--bg-card);*/
/*    border-color: var(--border-color);*/
/*}*/






